Unreal Tournament GOTY (UT99) don't run on Linux ubuntu

Need help with one of the installers?
ClarusAD
Posts: 3
Joined: Thu Feb 19, 2015 0:09

Unreal Tournament GOTY (UT99) don't run on Linux ubuntu

Postby ClarusAD » Thu Feb 19, 2015 0:32

Hello there !
First of all : many thanx for porting some old, but so good games !

So i try to run UT :? i downloaded and ran, without problems, this installer : "unreal.tournament_436-multilanguage.goty.run". But, when i launch the script via the console

Code: Select all

./ut
it returns me this error message :

Code: Select all

Signal: SIGSEGV [segmentation fault]
Aborting.
./ut: line 75: 24371 Segmentation fault      (core dumped) ./$GAME_BINARY "$CMD_ARGS" "$@"
:shock:

Could you help me please ?
Thank-you, in advance.

kratz00
liflg member
Posts: 1654
Joined: Fri Oct 22, 2004 16:23

Re: Unreal Tournament GOTY (UT99) don't run on Linux ubuntu

Postby kratz00 » Sat Feb 21, 2015 15:30

Hi ClarusAD

Welcome to the forum.
Could you be a little bit more specific?

  • What Ubuntu version are you running?
  • Are you on x86 or x86_64?
  • Did you run the installer from a terminal?
  • If so, did you see any debug/error messages?

ClarusAD
Posts: 3
Joined: Thu Feb 19, 2015 0:09

Re: Unreal Tournament GOTY (UT99) don't run on Linux ubuntu

Postby ClarusAD » Sat Feb 21, 2015 16:59

i'm running ubuntu 14.10 (utopic unicorn) on a x86 machine.
i run the game from a terminal with this command :

Code: Select all

./ut

then i obtain this error message :

Code: Select all

Signal: SIGSEGV [segmentation fault]
Aborting.
./ut: line 75: 24371 Segmentation fault      (core dumped) ./$GAME_BINARY "$CMD_ARGS" "$@"

:cry:

kratz00
liflg member
Posts: 1654
Joined: Fri Oct 22, 2004 16:23

Re: Unreal Tournament GOTY (UT99) don't run on Linux ubuntu

Postby kratz00 » Sat Feb 21, 2015 17:06

Thanks for the feedback.
Regarding 'running from a terminal' I was asking about the installer :D

ClarusAD
Posts: 3
Joined: Thu Feb 19, 2015 0:09

Re: Unreal Tournament GOTY (UT99) don't run on Linux ubuntu

Postby ClarusAD » Sat Feb 21, 2015 17:42

No problems with the installer (all moved well), the message error appears when i launch the game from the terminal.
Hope youy can help me :roll:

rettichschnidi
liflg member
Posts: 218
Joined: Mon Mar 27, 2006 2:07
Location: CH

Re: Unreal Tournament GOTY (UT99) don't run on Linux ubuntu

Postby rettichschnidi » Sat Feb 28, 2015 23:05

I just tested the game on my Ubuntu 14.10 box (x86_64, nvidia blob) and it worked perfectly - well, except for the sound as I do not have OSS enabled.

What kind of video card do you have? Which drivers are you using?

march
liflg beta tester
Posts: 22
Joined: Mon Jun 22, 2009 21:57
Contact:

Re: Unreal Tournament GOTY (UT99) don't run on Linux ubuntu

Postby march » Wed Feb 03, 2016 20:04

Perhaps he also uses a 64bit system. It's the same error I got and which led me to liflg via my search engine.

vblei
Posts: 4
Joined: Fri Mar 23, 2012 17:42

Re: Unreal Tournament GOTY (UT99) don't run on Linux ubuntu

Postby vblei » Wed Mar 02, 2016 9:16

Try to use some helpfull commands like "ldd"

You need to go to the "installationdir/System" of ut, where the binarie ut-bin is.

"ldd ut-bin" will give you all the libraries which are needed by "ut"

On my system it gives:

ldd ut-bin
linux-gate.so.1 => (0xf7780000)
libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xf7753000)
libnsl.so.1 => /lib/i386-linux-gnu/libnsl.so.1 (0xf773a000)
libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xf771d000)
Engine.so => ./Engine.so (0xf74c4000)
Core.so => ./Core.so (0xf7355000)
libSDL-1.1.so.0 => ./libSDL-1.1.so.0 (0xf72b6000)
libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xf7270000)
libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xf70c1000)
/lib/ld-linux.so.2 (0xf7781000)
libX11.so.6 => /usr/lib/i386-linux-gnu/libX11.so.6 (0xf6f8d000)
libXext.so.6 => /usr/lib/i386-linux-gnu/libXext.so.6 (0xf6f7a000)
libxcb.so.1 => /usr/lib/i386-linux-gnu/libxcb.so.1 (0xf6f58000)
libXau.so.6 => /usr/lib/i386-linux-gnu/libXau.so.6 (0xf6f54000)
libXdmcp.so.6 => /usr/lib/i386-linux-gnu/libXdmcp.so.6 (0xf6f4c000)


When some are missing (not found), install the package.
Often it is a 32 bit version of libstdc++.so.5 or 6 what is missing, which you see in ~/.loki/ut/System/UnrealTournament.log.

For sound you can use padsp (package pulseaudio-utils) when you use pulseaudio

"padsp ut" this will make "/dev/dsp" which is needed by ut and other games without sound.

aoss (package alsa-oss) is for alsa, this will make also "/dev/dsp" (oss) for alsa.
(alsa-oss maybe not available in your distribution)


Who is online

Users browsing this forum: No registered users and 1 guest